package com.zilber.boot.intelligencesite.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产计划表
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("i_production_plan")
@ApiModel(value="IProductionPlan对象", description="生产计划表")
public class IProductionPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "所属项目阶段")
    private String projectStage;

    @ApiModelProperty(value = "计划描述")
    private String description;

    @ApiModelProperty(value = "计划开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "计划结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "总工期天数")
    private Integer duration;

    @ApiModelProperty(value = "关键节点时间")
    private LocalDateTime keystageTime;

    @ApiModelProperty(value = "计划负责人")
    private String principal;


}
